%define pkgconfigdir %_datadir/pkgconfig
%define name    gnome-doc-utils
%define version 0.20.10
%define release %mkrel 3


Summary: 	GNOME XML documentation utilities 
Summary(de):	GNOME XML Dokumentationswerkzeuge
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
Patch0:		gnome-doc-utils-0.20.10-catalog.patch
License: 	LGPL
Group: 		Publishing
Url: 		http://www.gnome.org
#-----------------------------------
BuildRequires: libxslt-devel
BuildRequires: libxslt-proc
BuildRequires: python-libxml2
BuildRequires: glib-gettextize
BuildRequires: scrollkeeper
BuildRequires: docbook-dtd44-xml
BuildRequires: intltool
BuildRequires: gettext-devel
#------------------------------------
Requires: xsltproc
Requires: libxml2-utils
Requires: python-libxml2
Requires: docbook-dtd44-xml
Requires: docbook-dtd412-xml
#-----------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Obsoletes:  %name < %version

%define _requires_exceptions pkgconfig.libxml-2.0

%description
gnome-doc-utils is a collection of documentation utilities for the Gnome
project.  Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT stylesheets that were once distributed with Yelp.

%description -l de
Sammlung von Dokumentationsdienstprogrammen für das Gnome-Projekt 
gnome-doc-utils ist eine Sammlung von Dokumentationsdienstprogrammen für 
das Gnome-Projekt. Wie der Name schon sagt, enthält das Paket Dienstprogramme, 
um Dokumentationen und alle Hilfsdateien in Ihrem Quellbaum zu bauen. Außerdem 
enthält es die DocBook-XSLT-Stilvorlage, die früher mit Yelp verteilt wurde. 
Seit Gnome 2.8 wird gnome-doc-utils von Yelp für XSLT benötigt. 

%prep
%setup -q
%patch0 -p1 -b .catalog

intltoolize --force
aclocal -I tools -I m4
autoconf
automake -a -c

%build

./configure --prefix=%_prefix \
            --mandir=%_mandir \
            --disable-scrollkeeper \
            --enable-documentation

%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std pkgconfigdir=%pkgconfigdir

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper

%postun
%clean_scrollkeeper


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}
%{_datadir}
%{_mandir}
%{py_puresitedir}


%changelog
* Wed Feb 19 2014 bb <bb> 0.20.10-3pclos2014
- rebuild

* Sat Aug 17 2013 billybot <billybot> 0.20.10-2pclos2013
- update python 2.7

* Sun Aug 05 2012 Neal <nealbrks0 at gmail.com> 0.20.10-1pclos2012
- process

* Sun Aug 05 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.20.10-1pclos2012
- 0.20.10
- added german summary
- commented omf, %_datadir/gnome/help/*/*/* in files

* Tue Sep 28 2010 Texstar <texstar at gmail.com> 0.20.2-1pclos2010
- 0.20.2

* Thu Sep 09 2010 Texstar <texstar at gmail.com> 0.20.1-2pclos2010
- rebuild new python 

* Mon Apr 26 2010 Texstar <texstar at gmail.com> 0.20.1-1pclos2010
- 0.20.1

* Tue Mar 30 2010 siamer <siamer@wp.pl> 0.20.0-1pclos2010
- new version

* Mon Jan 25 2010 slick50 <lxgator@gmail.com> 0.19.3-1pclos2010
- 0.19.3

* Wed Jan 06 2010 slick50 <lxgator@gmail.com> 0.19.1-1pclos2010
- 0.19.1

* Thu Nov 19 2009 slick50 <lxgator@gmail.com> 0.18.1-1pclos2010
- 0.18.1

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 0.18.0-2pclos2010
- system rebuild

* Sun Oct 04 2009 slick50 <lxgator@gmail.com> 0.18.0-1pclos2010
- 0.18.0

* Sun Apr 26 2009 siamer <siamer@wp.pl> 0.16.1-1pclos2009
- new version 0.16.1

* Sun Oct 19 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.14.0-1pclos2007
- New version 0.14.0

* Fri Nov 30 2007 Texstar <texstar@gmail.com> 0.12.0-1pclos2007
- 0.12.0

* Sun Sep 09 2007 Texstar <texstar@gmail.com> 0.10.3-1pclos2007
- 0.10.3

* Sun Sep 09 2007 Texstar <texstar@gmail.com> 0.10-1pclos2007
- 0.10.1

* Mon Oct 30 2006 Texstar <texstar@houston.rr.com> 0.8.0-3pclos2007
- Build for PCLinuxOS 2007 

